{assign var=isBdPreview value=isset($smarty.get.theme_name) scope="global"}
{if isset($isBdPreview) && $isBdPreview}
    {assign var=theme_name value=$tpl_dir|regex_replace:'/(.*)([\/\\\]themes[\/\\\])(.*)(_preview[\/\\\]$)/':'$3'}
{else}
    {assign var=theme_name value=$tpl_dir|regex_replace:'/(.*)([\/\\\]themes[\/\\\])(.*)([\/\\\]$)/':'$3'}
{/if}

{assign var=itemsInRow value=''}
{assign var=desktops value=''}
{assign var=laptops value=''}
{assign var=tablets value=''}
{assign var=phones value=''}
{assign var=gridSize24 value=2}
{if !empty($sliderVars) && !empty($sliderVars[$theme_name]) && !empty($sliderVars[$theme_name][$slider_id])}
    {if !empty($sliderVars[$theme_name][$slider_id]['itemsInRow'])}{assign var=itemsInRow value=$sliderVars[$theme_name][$slider_id]['itemsInRow']}{/if}
    {if !empty($sliderVars[$theme_name][$slider_id]['desktops'])}{assign var=desktops value=$sliderVars[$theme_name][$slider_id]['desktops']}{/if}
    {if !empty($sliderVars[$theme_name][$slider_id]['laptops'])}{assign var=laptops value=$sliderVars[$theme_name][$slider_id]['laptops']}{/if}
    {if !empty($sliderVars[$theme_name][$slider_id]['tablets'])}{assign var=tablets value=$sliderVars[$theme_name][$slider_id]['tablets']}{/if}
    {if !empty($sliderVars[$theme_name][$slider_id]['phones'])}{assign var=phones value=$sliderVars[$theme_name][$slider_id]['phones']}{/if}
{/if}



{assign var=products_per_row value=$itemsInRow}
{assign var=_itemsInRow value="{if empty($products_per_row)}2{else}$products_per_row{/if}"}
{$converted = settype($_itemsInRow, 'integer')}

{assign var=itemClass value='separated-item-2 col-md-12 grid'}
{assign var=_itemClass value=$itemClass|regex_replace:'/col-(lg|md|sm|xs)-\d+/':''}
{if !empty($desktops)}{assign var=_widthLg value={($desktops/$gridSize24)|floor}}{else}{assign var=_widthLg value=''}{/if}
{if !empty($laptops)}{assign var=_widthMd value={($laptops/$gridSize24)|floor}}{else}{assign var=_widthMd value=''}{/if}
{if !empty($tablets)}{assign var=_widthSm value={($tablets/$gridSize24)|floor}}{else}{assign var=_widthSm value=''}{/if}
{if !empty($phones)}{assign var=_widthXs value={($phones/$gridSize24)|floor}}{else}{assign var=_widthXs value=''}{/if}

{if ($_widthLg)}{assign var=_itemClass value="$_itemClass col-lg-$_widthLg"}{/if}
{if ($_widthMd)}{assign var=_itemClass value="$_itemClass col-md-$_widthMd"}{/if}
{if ($_widthSm)}{assign var=_itemClass value="$_itemClass col-sm-$_widthSm"}{/if}
{if ($_widthXs)}{assign var=_itemClass value="$_itemClass col-xs-$_widthXs"}{/if}


{if isset($products) AND $products}
    
    <div data-slider-id="{if isset($slider_id)}{$slider_id}{else}themedefault_slider{/if}" class="data-control-id-3520 bd-productsslider-1 {if isset($class)}{$class}{/if}">
        <div class="bd-container-inner">
        <div class="data-control-id-58917 bd-block bd-own-margins">
            <div class="data-control-id-60900 bd-blockheader bd-tagstyles">
                <h4>{$title}</h4>
            </div>
            <div class="data-control-id-60901 bd-blockcontent bd-tagstyles shape-only">
                <div class="data-control-id-711257 bd-grid-39">
                  <div class="container-fluid">
                    <div class="separated-grid row">
                        <div class="carousel slide{if (count($products) <= $_itemsInRow)} single{/if} adjust-slides">
                            <div class="carousel-inner">
                                {foreach from=$products item=product name=myLoop}
                                    {if $smarty.foreach.myLoop.index % $_itemsInRow == 0}
                                        <div class="item{if $smarty.foreach.myLoop.first} active{/if}">
                                    {/if}
                                            <div class="{$_itemClass}">
                                                <div class="data-control-id-3507 bd-griditem-2">
                                                    {if isset($isCartProduct) && $isCartProduct}
    {* Cart product can be null in Ajax mode with BillionThemler themes *}
    <a class="data-control-id-188 bd-productimage-2" href="{if isset($product)}{$link->getProductLink($product, $product.link_rewrite, $product.category, null, null, $product.id_shop, $product.id_product_attribute)}{else}#{/if}">
        <img class="data-control-id-152398 bd-imagestyles" src="{if $product}{$link->getImageLink($product.link_rewrite, $product.id_image, 'medium_default')}{/if}" alt="{if $product}{$product.legend|escape:html:'UTF-8'}{/if}"/>
    </a>
{else}
    {if isset($product)}
        {if isset($isViewedProduct) && $isViewedProduct}
            <a class="data-control-id-188 bd-productimage-2" href="{$product->product_link}" title="{l s='More about'} {$product->name|escape:html:'UTF-8'}">
                <img class="data-control-id-152398 bd-imagestyles" src="{if isset($product->id_image) && $product->id_image}{$link->getImageLink($product->link_rewrite, $product->cover, 'medium_default')}{else}{$img_prod_dir}{$lang_iso}-default-medium_default.jpg{/if}" alt="{$product->legend|escape:html:'UTF-8'}"/>
            </a>
        {elseif isset($isRelatedProduct) && $isRelatedProduct}
            <a class="data-control-id-188 bd-productimage-2" href="{$link->getProductLink($product.id_product, $product.link_rewrite, $product.category, $product.ean13)}" class="lnk_img" title="{$product.name|htmlspecialchars}"><img src="{$link->getImageLink($product.link_rewrite, $product.id_image, 'medium_default')}" alt="{$product.name|htmlspecialchars}"/></a>
        {elseif is_object($product)}
            <a class="data-control-id-188 bd-productimage-2" href="{$link->getProductLink($product)}" title="{$product->name|escape:'htmlall':'UTF-8'}">
                {assign var=c value="{if isset($productcomment_cover)}{$productcomment_cover}{elseif isset($product->cover)}{$product->cover}{else}{$product->id_image}{/if}"}
                <img class="data-control-id-152398 bd-imagestyles" src="{$link->getImageLink($product->link_rewrite, $c, 'home_default')}" alt="{$product->name|escape:html:'UTF-8'}"/>
            </a>
        {else}
            <a class="data-control-id-188 bd-productimage-2" href="{$product.link|escape:'htmlall':'UTF-8'}" title="{$product.name|escape:'htmlall':'UTF-8'}"{if version_compare($smarty.const._PS_VERSION_,'1.6','>=')} itemprop="url"{/if}>
                <img class="data-control-id-152398 bd-imagestyles" src="{$link->getImageLink($product.link_rewrite, $product.id_image, 'home_default')}" alt="{if version_compare($smarty.const._PS_VERSION_,'1.6','<')}{$product.name|escape:'htmlall':'UTF-8'}{else}{if !empty($product.legend)}{$product.legend|escape:'html':'UTF-8'}{else}{$product.name|escape:'html':'UTF-8'}{/if}{/if}"{if version_compare($smarty.const._PS_VERSION_,'1.6','>=')} itemprop="image"{/if}/>
            </a>
            {*if isset($quick_view) && $quick_view && version_compare($smarty.const._PS_VERSION_,'1.6','>=')}
                <div class="quick-view-wrapper-mobile">
                    <a class="quick-view-mobile" href="{$product.link|escape:'html':'UTF-8'}" rel="{$product.link|escape:'html':'UTF-8'}">
                        <i class="icon-eye-open"></i>
                    </a>
                </div>
                <a class="quick-view" href="{$product.link|escape:'html':'UTF-8'}" rel="{$product.link|escape:'html':'UTF-8'}">
                    <span>{l s='Quick view'}</span>
                </a>
            {/if*}
        {/if}
    {/if}
{/if}
	
		{if isset($product)}
    {if (is_object($product) && isset($product->new) AND $product->new == 1) OR 
        (!is_object($product) && ((isset($product.new) AND $product.new == 1) OR
        (isset($product.details) AND is_object($product.details) AND isset($product.details->new) AND $product.details->new)))}
        <div class="bd-productnewicon data-control-id-190 bd-productnew-1">
            <span>{l s='New'}</span>
        </div>
    {/if}
{/if}
	
		{if isset($product) AND $product}
    {if (is_object($product) AND isset($product->on_sale) AND $product->on_sale) OR
        (!is_object($product) && isset($product.on_sale) && $product.on_sale && isset($product.show_price) && $product.show_price && !$PS_CATALOG_MODE)}
        <div class="bd-productsaleicon data-control-id-192 bd-productsale-1">
            <span>{l s='Sale!'}</span>
        </div>
    {/if}
{/if}
	
		{if isset($product) AND $product}
    {if ((is_object($product) AND (((isset($allow_oosp) && !$allow_oosp && isset($product->quantity) && ($product->quantity <= 0)) OR (isset($product->available_for_order) AND !$product->available_for_order)) OR (isset($restricted_country_mode) AND $restricted_country_mode) OR $PS_CATALOG_MODE)) OR
    (!is_object($product) AND (isset($product.available_for_order) && $product.available_for_order && !isset($restricted_country_mode) && !($product.allow_oosp || $product.quantity > 0) && !(isset($product.quantity_all_versions) && $product.quantity_all_versions > 0))))}
        <div class="bd-productoutofstockicon-2 data-control-id-194 bd-productoutofstock-1">
            <span>{l s='Out of stock'}</span>
        </div>
    {/if}
{/if}
	
		{assign var=viewedProduct value=false}
{if isset($isViewedProduct)}{assign var=viewedProduct value=$isViewedProduct}{/if}

{assign var=cartProduct value=false}
{if isset($isCartProduct)}{assign var=cartProduct value=$isCartProduct}{/if}

{assign var=relatedProduct value=false}
{if isset($isRelatedProduct)}{assign var=relatedProduct value=$isRelatedProduct}{/if}

{assign var=productPage value=false}
{if isset($isProductPage)}{assign var=productPage value=$isProductPage}{/if}

{include file="{$tpl_dir}./includes/producttitle_3.tpl" product=$product isViewedProduct=$viewedProduct isCartProduct=$cartProduct isRelatedProduct=$relatedProduct isProductPage=$productPage}
	
		{if isset($product) AND $product}
    {if ((is_object($product) AND isset($product->specificPrice) AND isset($product->specificPrice.reduction) AND $product->specificPrice.reduction) OR (!is_object($product) AND isset($product.reduction) AND $product.reduction) OR 
    (isset($productPriceWithoutReduction) AND isset($productPrice) AND ($productPriceWithoutReduction > $productPrice)))}
        <div class="bd-productreducedpriceicon-3 data-control-id-198 bd-productreducedprice-1">
            <span>{l s='Reduced price!'}</span>
        </div>
    {/if}
{/if}
	
		{assign var=showLabelRegular value=false}
{assign var=showLabelOld value=false}
{assign var=classLabelRegular value='data-control-id-199 bd-label-5'}
{assign var=attrLabelRegular value=''}
{assign var=classLabelOld value='data-control-id-233 bd-label-6'}
{assign var=attrLabelOld value=''}
<div class="data-control-id-267 bd-productprice-2">
    {if isset($bestSellers)}
        {capture name=regularPrice}
            {if !$PS_CATALOG_MODE}
                {if isset($showLabelRegular) && $showLabelRegular}<span class="{$classLabelRegular}"{$attrLabelRegular}>{l s='Price:'}</span>{/if}
                <span class="price data-control-id-231 bd-container-7 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table">{$product.price}</span>
            {/if}
        {/capture}
        {assign var=isRegular value=true}
        <span class="price">
        <div class="data-control-id-232 bd-pricetext-5">
    {if $isRegular}
        {$smarty.capture.regularPrice}
    {else}
        {$smarty.capture.oldPrice}
    {/if}
</div>
        </span>
    {elseif isset($isRelatedProduct) && $isRelatedProduct}
        {capture name=regularPrice}
            {if $ProdDisplayPrice AND $product.show_price == 1 AND !isset($restricted_country_mode) AND !$PS_CATALOG_MODE}
                {if isset($showLabelRegular) && $showLabelRegular}<span class="{$classLabelRegular}"{$attrLabelRegular}>{l s='Price:'}</span>{/if}
                <span class="price data-control-id-231 bd-container-7 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table">{convertPrice price=$product.displayed_price}</span>
            {/if}
        {/capture}
        {assign var=isRegular value=true}
        <span class="price">
        <div class="data-control-id-232 bd-pricetext-5">
    {if $isRegular}
        {$smarty.capture.regularPrice}
    {else}
        {$smarty.capture.oldPrice}
    {/if}
</div>
        </span>
    {else}
        {if !isset($isViewedProduct)}
            <!-- ProductOverview -->
            {if is_object($product) AND $product->show_price AND !isset($restricted_country_mode) AND !$PS_CATALOG_MODE}
                {capture name=regularPrice}
                    <div class="price">
                    {if isset($showLabelRegular) && $showLabelRegular}
                        <span class="{$classLabelRegular}{if $product->online_only} online_only{/if}"{$attrLabelRegular}>{if $product->online_only}{l s='Online only'}{else}{l s='Price:'}{/if}</span>
                    {/if}
                    {if !$priceDisplay || $priceDisplay == 2}
                        {assign var='productPrice' value=$product->getPrice(true, $smarty.const.NULL, $priceDisplayPrecision)}
                        {assign var='productPriceWithoutReduction' value=$product->getPriceWithoutReduct(false, $smarty.const.NULL)|round:$priceDisplayPrecision}
                    {elseif $priceDisplay == 1}
                        {assign var='productPrice' value=$product->getPrice(false, $smarty.const.NULL, $priceDisplayPrecision)}
                        {assign var='productPriceWithoutReduction' value=$product->getPriceWithoutReduct(true, $smarty.const.NULL)|round:$priceDisplayPrecision}
                    {/if}


                    {if version_compare($smarty.const._PS_VERSION_,'1.6','<')}
                        <span class="our_price_display">
                        {if $priceDisplay >= 0 && $priceDisplay <= 2}
                            <span id="our_price_display" class="data-control-id-231 bd-container-7 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table">{convertPrice price=$productPrice}</span>
                            {if isset($showLabelRegular) && $showLabelRegular}
                                {if isset($tax_enabled) && $tax_enabled  && ((isset($display_tax_label) && $display_tax_label == 1) OR !isset($display_tax_label))}
                                    <span class="{$classLabelRegular}"{$attrLabelRegular}>{if $priceDisplay == 1}{l s='tax excl.'}{else}{l s='tax incl.'}{/if}</span>
                                {/if}
                            {/if}
                        {/if}
                        </span>
                    {else}
                        <span class="our_price_display" itemprop="offers" itemscope itemtype="http://schema.org/Offer">
                            {if $product->quantity > 0}<link itemprop="availability" href="http://schema.org/InStock"/>{/if}
                            {if $priceDisplay >= 0 && $priceDisplay <= 2}
                                <span id="our_price_display" itemprop="price" class="data-control-id-231 bd-container-7 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table">{convertPrice price=$productPrice}</span>
                                {if isset($showLabelRegular) && $showLabelRegular}
                                    {if isset($tax_enabled) && $tax_enabled  && ((isset($display_tax_label) && $display_tax_label == 1) OR !isset($display_tax_label))}
                                        <span class="{$classLabelRegular}"{$attrLabelRegular}>{if $priceDisplay == 1}{l s='tax excl.'}{else}{l s='tax incl.'}{/if}</span>
                                    {/if}
                                {/if}
                                <meta itemprop="priceCurrency" content="{$currency->iso_code}" />
                                {hook h="displayProductPriceBlock" product=$product type="price"}
                            {/if}
                        </span>
                        <p id="reduction_percent" {if $productPriceWithoutReduction <= 0 || !$product->specificPrice || $product->specificPrice.reduction_type != 'percentage'} style="display:none;"{/if}>{strip}
                            <span id="reduction_percent_display">
                                {if $product->specificPrice && $product->specificPrice.reduction_type == 'percentage'}-{$product->specificPrice.reduction*100}%{/if}
                            </span>
                        {/strip}</p>
                        <p id="reduction_amount" {if $productPriceWithoutReduction <= 0 || !$product->specificPrice || $product->specificPrice.reduction_type != 'amount' || $product->specificPrice.reduction|floatval ==0} style="display:none"{/if}>{strip}
                            <span id="reduction_amount_display">
                            {if $product->specificPrice && $product->specificPrice.reduction_type == 'amount' && $product->specificPrice.reduction|floatval !=0}
                                -{convertPrice price=$productPriceWithoutReduction|floatval-$productPrice|floatval}
                            {/if}
                            </span>
                        {/strip}</p>
                    {/if}

                    {if $priceDisplay == 2}
                        <br />
                        <span id="pretaxe_price"><span id="pretaxe_price_display" class="data-control-id-231 bd-container-7 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table">{convertPrice price=$product->getPrice(false, $smarty.const.NULL)}
                        {if isset($showLabelRegular) && $showLabelRegular}
                            <span class="{$classLabelRegular}"{$attrLabelRegular}>&nbsp;{l s='tax excl.'}</span>
                        {/if}
                        </span></span>
                    {/if}
                    </div>
                    
                    {if isset($showLabelRegular) && $showLabelRegular && $product->ecotax != 0}
                        <span class="price-ecotax {$classLabelRegular}"{$attrLabelRegular}>
                            {if version_compare($smarty.const._PS_VERSION_,'1.6','<')}{l s='include'}{else}{l s='Including'}{/if}
                            </span>
                            <span id="ecotax_price_display" class="data-control-id-231 bd-container-7 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table">
                                &nbsp;{if $priceDisplay == 2}{$ecotax_tax_exc|convertAndFormatPrice}{else}{$ecotax_tax_inc|convertAndFormatPrice}{/if}
                            </span>
                            &nbsp;{if version_compare($smarty.const._PS_VERSION_,'1.6','<')}{l s='for green tax'}{else}{l s='for ecotax'}{/if}
                            {if $product->specificPrice AND $product->specificPrice.reduction}
                                &nbsp;{l s='(not impacted by the discount)'}
                            {/if}
                        </span>
                    {/if}

                    {if !empty($product->unity) && $product->unit_price_ratio > 0.000000}
                        {math equation="pprice / punit_price"  pprice=$productPrice  punit_price=$product->unit_price_ratio assign=unit_price}
                        <p class="unit-price" class="data-control-id-231 bd-container-7 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table"><span id="unit_price_display">{convertPrice price=$unit_price}</span>
                        {if isset($showLabelRegular) && $showLabelRegular}
                            <span class="{$classLabelRegular}"{$attrLabelRegular}>{l s='per'} {$product->unity|escape:'htmlall':'UTF-8'}</span>
                        {/if}
                        </p>
                        {if version_compare($smarty.const._PS_VERSION_,'1.6','>=')}{hook h="displayProductPriceBlock" product=$product type="unit_price"}{/if}
                    {/if}
                {/capture}

                {capture name=oldPrice}
                    {if $product->specificPrice AND $product->specificPrice.reduction}
                        <p id="old_price"{if (!$product->specificPrice || !$product->specificPrice.reduction) && $group_reduction == 0} class="hidden"{/if}>
                        {if isset($classLabelOld) && $classLabelOld}
                            <span class="{$classLabelOld}"{$attrLabelOld}>{l s='Old price:'}</span>
                        {/if}
                        <span class="bold">
                        {if $priceDisplay >= 0 && $priceDisplay <= 2}
                            {if $productPriceWithoutReduction > $productPrice}
                                {if version_compare($smarty.const._PS_VERSION_,'1.6','>=')}{hook h="displayProductPriceBlock" product=$product type="old_price"}{/if}
                                <span id="old_price_display" class="data-control-id-265 bd-container-8 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table">{convertPrice price=$productPriceWithoutReduction}</span>
                                {if $tax_enabled && $display_tax_label == 1}
                                    <span class="{$classLabelOld}"{$attrLabelOld}>{if $priceDisplay == 1}{l s='tax excl.'}{else}{l s='tax incl.'}{/if}</span>
                                {/if}
                            {/if}
                        {/if}
                        </span>
                        </p>
                    {/if}
                    {if $packItems|@count && $productPrice < $product->getNoPackPrice()}
                        <p class="pack_price">
                            {if isset($showLabelOld) && $showLabelOld}
                                <span class="{$classLabelOld}"{$attrLabelOld}>{if version_compare($smarty.const._PS_VERSION_,'1.6','<')}{l s='instead of'}{else}{l s='Instead of'}{/if} </span>
                            {/if}
                            <span class="data-control-id-265 bd-container-8 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table">{convertPrice price=$product->getNoPackPrice()}</span>
                        </p>
                    {/if}
                {/capture}

                <span class="price">
                
                {assign var=isRegular value=true}
                <div class="data-control-id-232 bd-pricetext-5">
    {if $isRegular}
        {$smarty.capture.regularPrice}
    {else}
        {$smarty.capture.oldPrice}
    {/if}
</div>
                
                </span>
                {if version_compare($smarty.const._PS_VERSION_,'1.6','>=')}{hook h="displayProductPriceBlock" product=$product type="weight"}{/if}
                {*close if for show price*}
            {else}
                {capture name=regularPrice}
                    {if version_compare($smarty.const._PS_VERSION_,'1.6','<')}
                        {if isset($showLabelRegular) && $showLabelRegular}
                            <span class="{$classLabelRegular}"{$attrLabelRegular}>{l s='Price:'}</span>
                            {*if isset($product.available_for_order) && $product.available_for_order && !isset($restricted_country_mode)}
                                <span class="{$classLabelRegular}"{$attrLabelRegular}>
                                {if ($product.allow_oosp || $product.quantity > 0)}
                                    {l s='Available'}
                                {elseif (isset($product.quantity_all_versions) && $product.quantity_all_versions > 0)}
                                    {l s='Product available with different options'}
                                {else}
                                    {l s='Out of stock'}
                                {/if}
                                </span>
                            {/if}
                            {if isset($product.online_only) && $product.online_only}
                                <span class="{$classLabelRegular}"{$attrLabelRegular}>{l s='Online only!'}</span>
                            {/if*}
                        {/if}
                        {* Product comparison page *}
                        {if is_object($product) && isset($product->show_price) && $product->show_price}
                            <span class="data-control-id-231 bd-container-7 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table">{convertPrice price=$product->getPrice($taxes_behavior)}
                            {if !empty($product->unity) && $product->unit_price_ratio > 0.000000}
                                {math equation="pprice / punit_price"  pprice=$product->getPrice($taxes_behavior)  punit_price=$product->unit_price_ratio assign=unit_price}
                                &nbsp;{convertPrice price=$unit_price} {l s='per %d' sprintf=$product->unity|escape:'htmlall':'UTF-8'}
                            {/if}
                            </span>
                        {elseif !is_object($product)}
                            <span class="data-control-id-231 bd-container-7 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table">{if !$priceDisplay}{if isset($product.price)}{convertPrice price=$product.price}{/if}{else}{convertPrice price=$product.price_tax_exc}{/if}</span>
                        {/if}
                    {else}
                        {if isset($showLabelRegular) && $showLabelRegular}
                            <span class="{$classLabelRegular}"{$attrLabelRegular}>{l s='Price:'}</span>
                            {*if isset($product.available_for_order) && $product.available_for_order && !isset($restricted_country_mode)}
                                <span itemprop="offers" itemscope itemtype="http://schema.org/Offer" class="{$classLabelRegular} availability"{$attrLabelRegular}>
                                    {if ($product.allow_oosp || $product.quantity > 0)}
                                        <link itemprop="availability" href="http://schema.org/InStock" />{if $product.quantity <= 0}{if $product.allow_oosp}{if isset($product.available_later) && $product.available_later}{$product.available_later}{else}{l s='In Stock'}{/if}{else}{l s='Out of stock'}{/if}{else}{if isset($product.available_now) && $product.available_now}{$product.available_now}{else}{l s='In Stock'}{/if}{/if}
                                    {elseif (isset($product.quantity_all_versions) && $product.quantity_all_versions > 0)}
                                        <link itemprop="availability" href="http://schema.org/LimitedAvailability" />{l s='Product available with different options'}
                                    {else}
                                        <link itemprop="availability" href="http://schema.org/OutOfStock" />{l s='Out of stock'}
                                    {/if}
                                </span>
                            {/if*}
                        {/if}
                        {if is_object($product) && isset($product->show_price) && $product->show_price && !isset($restricted_country_mode)}
                            <span class="data-control-id-231 bd-container-7 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table">{convertPrice price=$product->getPrice($taxes_behavior)}</span>
                        {elseif !is_object($product)}
                            {if isset($product.show_price) && $product.show_price && !isset($restricted_country_mode)}
                                <span itemprop="price" class="data-control-id-231 bd-container-7 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table">
                                    {if !$priceDisplay}{convertPrice price=$product.price}{else}{convertPrice price=$product.price_tax_exc}{/if}
                                </span>
                                <meta itemprop="priceCurrency" content="{$currency->iso_code}" />
                                {if $product.price_without_reduction > 0 && isset($product.specific_prices) && $product.specific_prices && isset($product.specific_prices.reduction) && $product.specific_prices.reduction > 0}
                                    {hook h="displayProductPriceBlock" product=$product type="old_price"}
                                    <span class="data-control-id-265 bd-container-8 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table old-price product-price">
                                        {displayWtPrice p=$product.price_without_reduction}
                                    </span>
                                    {hook h="displayProductPriceBlock" id_product=$product.id_product type="old_price"}
                                    {if $product.specific_prices.reduction_type == 'percentage'}
                                        <span class="data-control-id-231 bd-container-7 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table price-percent-reduction">-{$product.specific_prices.reduction * 100}%</span>
                                    {/if}
                                {/if}
                                <span itemprop="price" class="data-control-id-231 bd-container-7 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table unit-price">
                                    {hook h="displayProductPriceBlock" product=$product type="price"}
                                    {hook h="displayProductPriceBlock" product=$product type="unit_price"}
                                </span>
                            {/if}
                        {/if}
                    {/if}
                {/capture}

                {capture name=oldPrice}
                    {if version_compare($smarty.const._PS_VERSION_,'1.6','<')}
                        {if (!is_object($product) && isset($product.reduction) && $product.reduction)}
                            {if isset($showLabelOld) && $showLabelOld}
                                <span class="{$classLabelOld}"{$attrLabelOld}>{l s='Old price:'}</span>
                            {/if}
                            <span class="data-control-id-265 bd-container-8 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table">{convertPrice price=$product.price_without_reduction}</span>
                        {/if}
                    {else}
                        {if (!is_object($product) && $product.specific_prices && isset($product.specific_prices.reduction) && $product.specific_prices.reduction > 0)}
                            {if isset($showLabelOld) && $showLabelOld}
                                <span class="{$classLabelOld}"{$attrLabelOld}>{l s='Old price:'}</span>
                            {/if}
                            {hook h="displayProductPriceBlock" product=$product type="old_price"}
                            <span class="data-control-id-265 bd-container-8 bd-tagstyles bd-custom-blockquotes bd-custom-button bd-custom-image bd-custom-table">
                                {displayWtPrice p=$product.price_without_reduction}
                                {if $product.specific_prices.reduction_type == 'percentage'} -{$product.specific_prices.reduction * 100}%{/if}
                            </span>
                        {/if}
                    {/if}
                {/capture}

                {if (!$PS_CATALOG_MODE AND ((!is_object($product) && ((isset($product.show_price) && $product.show_price) || (isset($product.available_for_order) && $product.available_for_order))) OR (is_object($product) && isset($product->show_price) && $product->show_price)))}
                    <span class="price">
                    
                    {assign var=isRegular value=true}
                    <div class="data-control-id-232 bd-pricetext-5">
    {if $isRegular}
        {$smarty.capture.regularPrice}
    {else}
        {$smarty.capture.oldPrice}
    {/if}
</div>
                    
                    </span>
                {/if}
            {/if}
        {/if}
    {/if}
</div>
	
		{if isset($product) AND $product}
    {if (isset($bestSellers) || isset($crossSelling))}
        <a class="data-control-id-272 bd-productbuy-1 bd-no-margins bd-button" href="{$product.link}" title="{l s='View'}">{l s='View'}</a>
    {else}
        {if !isset($isViewedProduct)}
            <!-- Product Overview -->
            {if isset($product) AND $product AND is_object($product)}
                {if ($product->show_price AND !isset($restricted_country_mode)) OR isset($groups) OR $product->reference OR (isset($HOOK_PRODUCT_ACTIONS) && $HOOK_PRODUCT_ACTIONS)}
                    <!-- add to cart form-->
                    <form id="buy_block" {if $PS_CATALOG_MODE AND !isset($groups) AND $product->quantity > 0}class="hidden"{/if} action="{$link->getPageLink('cart')}" method="post">
                        <!--TODO:  Work with form part in productVariations -->
                        <!-- hidden datas -->
                        <p class="hidden">
                            <input type="hidden" name="token" value="{$static_token}" />
                            <input type="hidden" name="id_product" value="{$product->id|intval}" id="product_page_product_id" />
                            <input type="hidden" name="add" value="1" />
                            <input type="hidden" name="id_product_attribute" id="idCombination" value="" />
                        </p>

                        {if (!$allow_oosp && $product->quantity <= 0) OR !$product->available_for_order OR (isset($restricted_country_mode) AND $restricted_country_mode) OR $PS_CATALOG_MODE}
                            <span class="bd-productbuy-1 bd-no-margins data-control-id-272 bd-button exclusive">
                                {l s='Not available'}
                            </span>
                        {else}
                            <p id="add_to_cart" class="buttons_bottom_block">
                                <span></span>
                                <input type="submit" name="Submit" value="{l s='Add to cart'}" class="data-control-id-272 bd-productbuy-1 bd-no-margins bd-button"/>
                            </p>
                        {/if}
                        {if isset($HOOK_PRODUCT_ACTIONS) && $HOOK_PRODUCT_ACTIONS}{$HOOK_PRODUCT_ACTIONS}{/if}
                    </form>
                {/if}
            <!-- Other pages -->
            {else}
                {if ($product.id_product_attribute == 0 || (isset($add_prod_display) && ($add_prod_display == 1))) && $product.available_for_order && !isset($restricted_country_mode) && $product.minimal_quantity <= 1 && $product.customizable != 2 && !$PS_CATALOG_MODE}
                    {if version_compare($smarty.const._PS_VERSION_,'1.6','<')}
                        {if ($product.allow_oosp || $product.quantity > 0)}
                            {if isset($static_token)}
                                <a class="data-control-id-272 bd-productbuy-1 bd-no-margins bd-button button ajax_add_to_cart_button exclusive" rel="ajax_id_product_{$product.id_product|intval}" href="{$link->getPageLink('cart',false, NULL, "add&amp;id_product={$product.id_product|intval}&amp;token={$static_token}", false)}" title="{l s='Add to cart'}"><span></span>{l s='Add to cart'}</a>
                            {else}
                                <a class="data-control-id-272 bd-productbuy-1 bd-no-margins bd-button button ajax_add_to_cart_button exclusive" rel="ajax_id_product_{$product.id_product|intval}" href="{$link->getPageLink('cart',false, NULL, "add&amp;id_product={$product.id_product|intval}", false)}" title="{l s='Add to cart'}"><span></span>{l s='Add to cart'}</a>
                            {/if}
                        {else}
                            <span class="bd-productbuy-1 bd-no-margins data-control-id-272 bd-button exclusive">
                                {l s='Not available'}
                            </span>
                        {/if}
                    {else}
                        {if (!isset($product.customization_required) || !$product.customization_required) && ($product.allow_oosp || $product.quantity > 0)}
                            {if isset($static_token)}
                                <a class="data-control-id-272 bd-productbuy-1 bd-no-margins bd-button button ajax_add_to_cart_button btn btn-default" href="{$link->getPageLink('cart',false, NULL, "add=1&amp;id_product={$product.id_product|intval}&amp;token={$static_token}", false)|escape:'html':'UTF-8'}" rel="ajax_id_product_{$product.id_product|intval}" title="{l s='Add to cart'}" data-id-product="{$product.id_product|intval}">
                                    <span>{l s='Add to cart'}</span>
                                </a>
                            {else}
                                <a class="data-control-id-272 bd-productbuy-1 bd-no-margins bd-button button ajax_add_to_cart_button btn btn-default" href="{$link->getPageLink('cart',false, NULL, 'add=1&amp;id_product={$product.id_product|intval}', false)|escape:'html':'UTF-8'}" rel="ajax_id_product_{$product.id_product|intval}" title="{l s='Add to cart'}" data-id-product="{$product.id_product|intval}">
                                    <span>{l s='Add to cart'}</span>
                                </a>
                            {/if}
                        {else}
                            <span class="bd-productbuy-1 bd-no-margins data-control-id-272 bd-button button ajax_add_to_cart_button disabled">
                                <span>{l s='Not available'}</span>
                            </span>
                        {/if}
                    {/if}
                {/if}
            {/if}
        {/if}
    {/if}
{/if}
                                                </div>
                                            </div>
                                    {if ($smarty.foreach.myLoop.index + 1) % $_itemsInRow == 0 || $smarty.foreach.myLoop.last}
                                        </div>
                                    {/if}
                                {/foreach}
                            </div>
                            {if isset($products) && count($products) > $_itemsInRow}
                                
                                <div class="bd-left-button">
    <a class="data-control-id-3517 bd-carousel-2" href="#">
        <span class="bd-icon"></span>
    </a>
</div>

<div class="bd-right-button">
    <a class="data-control-id-3517 bd-carousel-2" href="#">
        <span class="bd-icon"></span>
    </a>
</div>
                            {/if}
                        </div>
                    </div>
                  </div>
                </div>
            </div>
        </div>
        </div>
    </div>
       
{/if}